プレイグラウンド
入力
Optional scene prompt
Reference image URL (exactly one). JPG/JPEG/PNG, max 10MB
Reference video URL (exactly one). MP4/MOV, max 100MB
実行すると残高から料金が引き落とされます。
出力
出力はここに表示されます。
料金
| オプション | 秒あたりの価格 | fal.ai | お客様の節約額 |
|---|---|---|---|
| 720p | $0.07 | $0.112 | −38% |
| 1080p | $0.12 | — | — |
クイックスタート
完全なAPIリファレンス →1curl -X POST https://api.api-stock.com/api/v1/generation/create \2 -H "Authorization: Bearer $API_STOCK_KEY" \3 -H "Content-Type: application/json" \4 -d '{5 "model": "kling-3.0-motion-control",6 "input": {7 "imageUrls": [8 "https://example.com/input.png"9 ],10 "videoUrls": [11 "https://example.com/input.png"12 ],13 "characterOrientation": "image",14 "resolution": "720p"15 }16 }'
パラメータ
| 名前 | 型 | 必須 | デフォルト | 説明 |
|---|---|---|---|---|
prompt | string | いいえ | — | Optional scene prompt |
imageUrls | string[] | はい | — | Reference image URL (exactly one). JPG/JPEG/PNG, max 10MB |
videoUrls | string[] | はい | — | Reference video URL (exactly one). MP4/MOV, max 100MB |
characterOrientation | string | はい | — | Character orientation mode. Determines whose orientation drives the motion transferいずれか: image, video |
resolution | string | いいえ | 720p | Output resolutionいずれか: 720p, 1080p |
よくある質問
Kling 3.0 Motion Control の料金はいくらですか?
Kling 3.0 Motion ControlはAPI Stock API経由で$0.07 出力1秒あたりから利用できます。料金は1つの前払い残高から利用した分だけ支払う従量制で、サブスクリプションはありません。最終的な価格は、解像度や長さなどのパラメータに応じて変わります。
Kling 3.0 Motion Control APIはどのように呼び出せますか?
https://api.api-stock.com/api/v1/generation/create に、APIキーとモデルID「kling-3.0-motion-control」を指定してPOSTリクエストを送信します。リクエストの結果として、ポーリングするタスクIDが返されるか、結果の準備ができた時点でWebhookコールバックが送信されます。上記のクイックスタートにすぐ実行できる例があります。
Kling 3.0 Motion Controlはどのような入力パラメータを受け付けますか?
Kling 3.0 Motion Controlは5個の入力パラメータ(必須フィールドimageUrls, videoUrls, characterOrientationを含む)を受け付けます。種類、デフォルト値、指定可能な値は上記のパラメータ表に記載されています。
Kling 3.0 Motion Controlのリクエストに失敗するとどうなりますか?
API Stockは予備プロバイダーでリクエストを自動的に再試行します。すべてのプロバイダーで失敗した場合、請求額は残高に返金されます。
Kling 3.0 Motion Controlは他のモデルと同じAPIキーで利用できますか?
はい。API Stockのすべてのモデル(動画、画像、音楽、チャット)は1つのAPIキーと1つの前払い残高を共有しているため、新しい認証情報なしでKling 3.0 Motion Controlに切り替えられます。